Subject: bug#553: 23.0.60; Unknown button type `quail-keyboard-layout-button'

From: Juri Linkov <[email-masked]>
Date: Mon, 25 Aug 2008 18:52:09 +0300

> Do you remember why you wrote quail-help-init this way?  It seems
> unnecessary; why not define the button types directly at the top level
> of quail.el?

I don't know the reason of writing quail-help-init this way, but it seems
it was to not load `help-mode' after loading `quail.el'.  `help-mode' is
not necessary for quail's operations, so its loading should be postponed
for rare cases when the user needs to see the help buffer with keyboard
layouts.

-- 
Juri Linkov
http://www.jurta.org/emacs/